Bug 192643 - [GStreamer][JHBuild] update-webkit{gtk,wpe}-libs fails with libfdk-2.0.0
Summary: [GStreamer][JHBuild] update-webkit{gtk,wpe}-libs fails with libfdk-2.0.0
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-12-12 16:14 PST by Carlos Eduardo Ramalho
Modified: 2018-12-13 04:36 PST (History)
5 users (show)

See Also:


Attachments
Patch (5.55 KB, patch)
2018-12-12 16:31 PST, Carlos Eduardo Ramalho
no flags Details | Formatted Diff | Diff
Patch (6.25 KB, patch)
2018-12-13 03:53 PST, Carlos Eduardo Ramalho
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Eduardo Ramalho 2018-12-12 16:14:08 PST
Using Arch Linux, update-webkit{gtk,wpe}-libs fails if the system has libfdk-2.0.0 installed (which is the case for anybody who has gst-plugins-bad 1.14.4 in Arch).

This build issue has already been solved upstream at https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/merge_requests/77

In pacman they patched gst-plugins-bad to fix that already: https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/gst-plugins-bad

I'll add a patch to fix this in the GStreamer jhbuild.modules file while this is not in a release yet.
Comment 1 Carlos Eduardo Ramalho 2018-12-12 16:31:43 PST
Created attachment 357193 [details]
Patch
Comment 2 Philippe Normand 2018-12-13 03:08:00 PST
Comment on attachment 357193 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=357193&action=review

> Tools/gstreamer/patches/gst-plugins-bad-0003-fdkaac-Fixes-for-compatibility-with-libfdk-aac-2.patch:36
> +From 19d34f6b5e1633d5ec4bb2832c58470f0c829cab Mon Sep 17 00:00:00 2001
> +From: "Jan Alexander Steffens (heftig)" <jan.steffens@gmail.com>
> +Date: Wed, 5 Dec 2018 10:10:39 +0100
> +Subject: [PATCH 2/2] fdkaacdec: Use WAV channel mapping instead of interleave
> + setting

Please use 2 files. One per patch.
Comment 3 Carlos Eduardo Ramalho 2018-12-13 03:30:09 PST
(In reply to Philippe Normand from comment #2)
> Comment on attachment 357193 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=357193&action=review
> 
> > Tools/gstreamer/patches/gst-plugins-bad-0003-fdkaac-Fixes-for-compatibility-with-libfdk-aac-2.patch:36
> > +From 19d34f6b5e1633d5ec4bb2832c58470f0c829cab Mon Sep 17 00:00:00 2001
> > +From: "Jan Alexander Steffens (heftig)" <jan.steffens@gmail.com>
> > +Date: Wed, 5 Dec 2018 10:10:39 +0100
> > +Subject: [PATCH 2/2] fdkaacdec: Use WAV channel mapping instead of interleave
> > + setting
> 
> Please use 2 files. One per patch.

Ok.

I got the patch via https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/merge_requests/77.patch

I'll split it in two.
Comment 4 Philippe Normand 2018-12-13 03:49:50 PST
Yes but it contains 2 commits :)
Comment 5 Carlos Eduardo Ramalho 2018-12-13 03:53:27 PST
Created attachment 357222 [details]
Patch
Comment 6 Carlos Eduardo Ramalho 2018-12-13 03:54:29 PST
(In reply to Philippe Normand from comment #4)
> Yes but it contains 2 commits :)

Yeah indeed :) Got the patches directly from the commits now.

Thanks for noticing it!
Comment 7 WebKit Commit Bot 2018-12-13 04:35:24 PST
Comment on attachment 357222 [details]
Patch

Clearing flags on attachment: 357222

Committed r239159: <https://trac.webkit.org/changeset/239159>
Comment 8 WebKit Commit Bot 2018-12-13 04:35:25 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2018-12-13 04:36:28 PST
<rdar://problem/46694419>